/*
    Document   : mediabox
    Created on : 01.03.2011, 10:02:29
    Author     : Coo01
    Description:
        Purpose of the stylesheet follows.
*/

/*
   TODO customize this sample style
   Syntax recommendation http://www.w3.org/TR/REC-CSS2/
*/
#cooOverlay {
    position: fixed;
    z-index: 9998;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background:#000000;
    cursor: pointer;
}
#cMbOverlay.mbOverlayFF {
	background: transparent url(../../images/80.html) repeat;
}
#cMbOverlay.mbOverlayIE {
	position: absolute;
}

#cooMediabox {
    font-family:arial, Gill, Helvetica, sans-serif;
    position: fixed;
    z-index: 9999;
    top:50%;
    left:50%;
    width:900px;
    margin-left:-470px;
    height:400px;
    margin-top:-235px;
    padding:50px 20px 20px;
    overflow: hidden;

}
* html #cooMediabox {position: absolute;}

#cooLoaderGif {
    position:absolute;
    top:20px;
    left:25px;
}

.cooMenu {
    position: absolute;
    right:20px;
    top:15px;
    height:30px;
}

.cooMenuLabel {
    float:left;
    line-height:30px;
    padding-right:10px;
    font-size:18px;
    color:#ffffff;
    font-weight:bold;
    text-shadow: #aaaaaa 0px 0px 6px;
}

.cooMenu .cooMenuItem {
    background:url(../images/mediabox/menuItem.png) left center no-repeat;
    padding-left:2px;
    cursor:pointer;
    float:left;
}
.cooMenu .cooMenuItem:first-child {
    background-image: none;
}
.cooMenu .cooMenuItem.hover {
    background:url(../images/mediabox/menuItem_hover.png) left center repeat-x;
}

#cooMbPrev, #cooMbNext, #cooMbClose, #cooMbToSingle, #cooMbToList, .cooMenuTest {
    height:30px;
    width:30px;
    background: no-repeat center center;
}

#cooMediabox.listView #cooMbPrev, #cooMediabox.listView #cooMbNext, #cooMediabox.listView #cooMbToList {
    display:none;
}
* html #cooMbToList {
    display:none !important;
}
#cooMediabox.listView #cooMbToSingle {
    display:block;
}

#cooMbPrev {
    background-image: url(../images/mediabox/prev.png);
}

#cooMbNext {
    background-image: url(../images/mediabox/next.png);
}

#cooMbClose {
    background-image: url(../images/mediabox/close.png);
}

#cooMbToSingle {
    display:none;
    background-image: url(../images/mediabox/menuToSingle.png);
}

#cooMbToList {
    background-image: url(../images/mediabox/menuToList.png);
}

.cooMenuTest {
    background-image: url(../images/mediabox/addTest.html);
}

#cooMbCenter {
    width:100%;
    height:100%;
    position:relative;
    background: url(../images/mediabox/background.png) repeat center center;
}

.cooView {
    width:100%;
    height: 100%;
    position:relative;
    overflow: hidden;
}
#cooMediabox.listView .cooView {
    overflow: auto;
}

.cooViewItem {
    position:absolute;
    top:0px;
    left:0px;
    z-index:2;
    width:100%;
    height:100%;
}

.cooViewItem.cooViewItemCurrent {
    z-index:3;
}

.cooViewItem.urlElement {
    background-color:#ffffff;
    overflow:hidden;
}

.cooViewItem.urlElement .urlElementFrame  {
    border:medium none;
    display:block;
    height:100%;
    width:100%;
    position:relative;
}

.cooViewItem .inlineElement {
    background-color:#ffffff;
    overflow:hidden;
}

#cooMediabox .cooViewItem img {
    width:100%;
}

.itemInfoBox {
    position:absolute;
    bottom:0px;
    left:0px;
    padding:10px;
    background:url(../images/mediabox/background.png) repeat;
    color:#ffffff;
    font-size:12px;
    overflow:hidden;
    text-align:left;
}

#cooMediabox.listView .cooViewItem {
    position:relative;
    float:left;
    margin:10px;
    width:200px;
    height:200px;
    overflow:hidden;
    cursor:pointer;

}
#cooMediabox.listView .cooViewItem.cooViewItemCurrent {
    -moz-box-shadow: 0px 0px 10px #ffffff !important;
    -webkit-box-shadow: 0px 0px 10px #ffffff !important;
    box-shadow: 0px 0px 10px #ffffff !important;
    /* For IE 8
    -ms-filter: "progid:DXImageTransform.Microsoft.Shadow(Strength=5, Direction=0, Color='#ffffff')";
    For IE 5.5 - 7
    filter: progid:DXImageTransform.Microsoft.Shadow(Strength=5, Direction=0, Color='#ffffff'); */
}
#cooMediabox.listView .cooViewItem.hover {
    box-shadow: 0px 0px 10px #000000;
    -moz-box-shadow: 0px 0px 10px #000000;
    -webkit-box-shadow: 0px 0px 10px #000000;
}
#cooMediabox.cooIE.listView .cooViewItem {
    border:1px solid transparent;
}
#cooMediabox.cooIE.listView .cooViewItem.cooViewItemCurrent {
    border:1px solid #ffffff;
}
#cooMediabox.cooIE.listView .cooViewItem.hover {
    border:1px solid #000000;
}
#cooMediabox.listView .cooViewItem img {
    width:100%;
    height: 100%;
}

.topleft, .topright, .bottomright, .bottomleft, .top, .right, .bottom, .left {
    position:absolute;
    height:20px;
    width:20px;
}

.topleft {
    background:url(../images/mediabox/topleft.png) no-repeat top left;
    top:-50px;
    left:-20px;
    height:50px;
}

.topright {
    background:url(../images/mediabox/topright.png) no-repeat top right;
    top:-50px;
    right:-20px;
    height:50px;
}

.bottomright {
    background:url(../images/mediabox/bottomright.png) no-repeat bottom right;
    bottom:-20px;
    right:-20px;
}

.bottomleft {
    background:url(../images/mediabox/bottomleft.png) no-repeat bottom left;
    bottom:-20px;
    left:-20px;
}

.top {
    background:url(../images/mediabox/top.png) repeat-x top center;
    width:100%;
    height:50px;
    left:0px;
    top:-50px;
}

.right {
    background:url(../images/mediabox/right.png) repeat-y right center;
    height:100%;
    top:0px;
    right:-20px;
}

.bottom {
    background:url(../images/mediabox/bottom.png) repeat-x bottom center;
    width:100%;
    left:0px;
    bottom:-20px;
}

.left {
    background:url(../images/mediabox/left.png) repeat-y left center;
    height:100%;
    top:0px;
    left:-20px;
}
